View Issue Details

IDProjectCategoryView StatusLast Update
0025227LazarusWidgetsetpublic2014-09-12 18:27
ReporterZeljan Rikalo Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3 (SVN) 
Summary0025227: Qt: QPainter drawRect bug in raster mode
DescriptionWhen TQtWidgetSet.Rectangle() rect is bigger than clipRect it draws diagonal line accross rect ,bottom and right line aren't drawn.
Graphicssystem raster, pen = cosmetic.
https://bugreports.qt-project.org/browse/QTBUG-34303
Affects Qt-4.8.XX under X11 and maybe win32 and mac.
TagsNo tags attached.
Fixed in Revision43315
LazTarget-
WidgetsetQT
Attached Files

Activities

Zeljan Rikalo

2013-10-24 09:01

developer  

QPainterRasterBug.tar.gz (129,319 bytes)

Zeljan Rikalo

2013-10-24 09:09

developer   ~0070957

Do not close until https://bugreports.qt-project.org/browse/QTBUG-34303 is closed.

Zeljan Rikalo

2014-04-29 08:20

developer   ~0074651

Seem that this problem is fixed in Qt-4.8.6, must test as soon as distros update qt libs.

Issue History

Date Modified Username Field Change
2013-10-24 09:00 Zeljan Rikalo New Issue
2013-10-24 09:01 Zeljan Rikalo File Added: QPainterRasterBug.tar.gz
2013-10-24 09:01 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-10-24 09:01 Zeljan Rikalo Status new => assigned
2013-10-24 09:09 Zeljan Rikalo Fixed in Revision => 43315
2013-10-24 09:09 Zeljan Rikalo Note Added: 0070957
2013-10-24 09:09 Zeljan Rikalo Status assigned => resolved
2013-10-24 09:09 Zeljan Rikalo Resolution open => fixed
2014-04-29 08:20 Zeljan Rikalo Note Added: 0074651
2014-09-12 18:27 Zeljan Rikalo Status resolved => closed